ContexClientModel (gCube Resource Management Portlet 6.7.0-SNAPSHOT API)
Date: 2019-01-10

org.gcube.portlets.admin.resourcemanagement.client

## Class ContexClientModel

- java.lang.Object
- - com.extjs.gxt.ui.client.data.BaseModelData
  - - org.gcube.portlets.admin.resourcemanagement.client.ContexClientModel

- All Implemented Interfaces:
    com.extjs.gxt.ui.client.data.ModelData, com.google.gwt.user.client.rpc.IsSerializable, Serializable

      public class ContexClientModel
      extends com.extjs.gxt.ui.client.data.BaseModelData
      implements com.google.gwt.user.client.rpc.IsSerializable

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.extjs.gxt.ui.client.data.BaseModelData

      `allowNestedValues, map`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContexClientModel()`
    `ContexClientModel(String id, String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()`
    `String` | `getName()`
    `void` | `setId(String id)`
    `void` | `setName(String name)`

    - ### Methods inherited from class com.extjs.gxt.ui.client.data.BaseModelData

      `get, get, getProperties, getPropertyNames, isAllowNestedValues, remove, set, setAllowNestedValues, setProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContexClientModel

          public ContexClientModel()

    - #### ContexClientModel

          public ContexClientModel(String id,
                           String name)

  - ### Method Detail

    - #### getId

          public String getId()

    - #### getName

          public String getName()

    - #### setId

          public void setId(String id)

    - #### setName

          public void setName(String name)

Copyright © 2019. All Rights Reserved.